GZipUnpacker (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.zip
Class GZipUnpacker

    java.lang.Object
      rabbit.zip.GZipUnpacker

    public class GZipUnpacker

extends Object

A class that can unpack gzip streams in chunked mode.

Author:
  Robert Olofsson

Constructor Summary
`GZipUnpacker(GZipUnpackListener listener, boolean deflate)` Create a new gzip or compress unpacker.

Method Summary
`void` | `handleCurrentData()` Handle the next block of the current data.
`boolean` | `needsInput()` Check if the unpacker currently needs more data
`void` | `setInput(byte[] buf, int off, int len)` Add more compressed data to the unpacker.
`void` | `setState(rabbit.zip.GZipUnpackState state)` Change the internal gzip state to the given state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GZipUnpacker

    public GZipUnpacker(GZipUnpackListener listener,
                        boolean deflate)

  Create a new gzip or compress unpacker.

  Parameters:
    `listener` - the listener that will get the generated events.
    `deflate` - if true use plain deflate, if false use gzip.

Method Detail

### needsInput

    public boolean needsInput()

  Check if the unpacker currently needs more data

### setInput

    public void setInput(byte[] buf,
                         int off,
                         int len)

  Add more compressed data to the unpacker.

### handleCurrentData

    public void handleCurrentData()

  Handle the next block of the current data.

### setState

    public void setState(rabbit.zip.GZipUnpackState state)

  Change the internal gzip state to the given state.

  Parameters:
    `state` - the new internal state of the gzip unpacker.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD